Bug 120660 - cryptoloop: losetup and mount do not work with 2.6 crypto API
cryptoloop: losetup and mount do not work with 2.6 crypto API
Status: CLOSED DUPLICATE of bug 124128
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-12 15:10 EDT by Stephan
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:02:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephan 2004-04-12 15:10:23 EDT
Description of problem:

losetup -e aes /dev/loop0 /dev/hdxx 
fails with 
INVALID ARGUMENT

Additional Info:

the Cryptoloop-HOWTO says that there are two patches needed. 
http://www.tldp.org/HOWTO/Cryptoloop-HOWTO/userspace-tools.html
Comment 1 Stefano Bagnara 2004-04-14 13:59:19 EDT
this work for me.
Try "modprobe cryptoloop" and "modprobe aes" first.

I'm using test2 with default (not up2dated) packages (kernel
2.6.3-2.1.253.2.1smp )

Stefano
Comment 2 Elliot Lee 2004-05-13 15:29:36 EDT
This is a dupe of a bug I can't remember right now.
Comment 3 Hermann Schichl 2004-05-21 18:26:40 EDT
I have an SRPM file (for Fedora Core 2) containing the proper patches.
However, I cannot upload it due to size limitations on attachments. If
somebody wants to get it, please send mail.
Comment 4 Elliot Lee 2004-05-24 15:01:28 EDT
Please upload the patches themselves to bugzilla.

*** This bug has been marked as a duplicate of 124128 ***
Comment 5 Red Hat Bugzilla 2006-02-21 14:02:33 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.